/*
 * Main.java
 * Part of the nodeNet problem set.
 *
 * Developed for "Rethinking CS101", a project of Lynn Andrea Stein's AP Group.
 * For more information, see http://www.ai.mit.edu/projects/cs101, the
 * CS101 homepage or email las@ai.mit.edu.
 *
 * Copyright (C) 1998 Massachusetts Institute of Technology.
 * Please do not redistribute without obtaining permission.
 */
 
package nodeNet;

import com.sun.java.swing.*;
import javax.swing.*;
import java.applet.*;
import java.awt.event.*;
import java.awt.*;

/**
 * Main defines the <code>public static void main(String[])</code>
 * method.  It can also be run as an applet.<p>
 *
 * Copyright (c) 1998 Massachusetts Institute of Technology
 *
 * @author Todd C. Parnell, tparnell@ai.mit.edu
 * @version $Id: Main.java,v 1.3 1999/08/04 09:08:52 jsmthng Exp $ 
 */
public class Main extends JApplet {

  private NodeNetFrame me;

  /** 
   * Starts a new simulation.  All arguments are treated as
   * NodeBehaviors and will be available to the user.
   */
  public static void main(String[] args) {
    try {
      UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
      NodeNetFrame nnf = new NodeNetFrame(args);
    } catch (Exception e) {}
  }
  
  /**
   * Initilization as an applet.
   */
  public void init() {
    Button b = new Button("Show/Hide");
    String[] foo = new String[1];
    foo[0] = "nodeNet.IntermediateNodeBehavior";
    this.me = new NodeNetFrame(foo);
    b.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
	if (Main.this.me.isVisible())
	  Main.this.me.setVisible(false);
	else Main.this.me.show();
      }
    });
    this.getContentPane().add(b);
  }
}

/*
 * $Log: Main.java,v $
 * Revision 1.3  1999/08/04 09:08:52  jsmthng
 * Added javadoc comments to InputChannelVector and OutputChannelVector;
 * finished updating the rest of the nodeNet package to reflect new
 * changes in name and code.
 *
 * Modified index.html to reflect the new nodeNet code, as well as to
 * clarify some parts of the problem set.
 *
 * Revision 1.1  1999/07/30 01:09:22  jsmthng
 * Renaming BinSort package to nodeNet; moving directories and files as
 * necessary.
 *
 * Revision 1.6  1999/01/21 20:57:06  tparnell
 * it worked
 *
 * Revision 1.5  1998/08/14 16:17:43  tparnell
 * now appearing in applet version
 *
 * Revision 1.4  1998/08/12 19:29:36  tparnell
 * Another pass after comments from las & natashao.  Added support to
 * dynamically add NodeBehaviors.  Add keyboard shortcuts to menus.  Added
 * workaround to jdk bug relating to lighweight components.  Misc other
 * bugfixes.
 *
 * Revision 1.3  1998/08/10 17:45:50  tparnell
 * Revision to use JDK1.2 and Swing.  Redesign of GUI.  Removed old kludge
 * for file I/O and replaced with object serialization.  Channel no longer
 * requires animacy.  Removed unnessary dependencies between classes.
 * Added ability to configure channel's latency and capacity.  Added
 * javadoc to all files.  General code cleanup.
 *
 */
